import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';
import { Router } from '@angular/router'; 

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss'],
  standalone: false,
})
export class Tab2Page {

  constructor(
    private navCtrl:NavController,
    private router: Router
  ) {}

  goThankslist(thanks?:string){
    this.navCtrl.navigateForward(["tabs","tab2","thanks"],{
      
    })
  }
  navigateToDetail() { // 定义一个方法用于导航到详情页面
    if (this.router.url !== '/detail') { // 检查当前 URL 是否不是目标页面
      this.router.navigateByUrl('/detail').then(() => { // 如果不是，则导航到详情页面
        console.log('Navigation completed.'); // 导航完成后打印日志
      }).catch(error => { // 捕获并处理可能发生的错误
        console.error('Navigation failed:', error); // 打印错误信息
      });
    } else { // 如果已经是目标页面
      console.warn('Already on the detail page, no need to navigate.'); // 打印警告信息
    }
  } 
}
